KBDINFO(1)

NAME
kbdinfo - read information about keyboard state

SYNOPSIS
kbdinfo [options] getmode [text|graphics]
kbdinfo [options] gkbmode [raw|xlate|mediumraw|unicode]
kbdinfo [options] gkbmeta [metabit|escprefix]
kbdinfo [options] gkbled [scrolllock|numlock|capslock]

DESCRIPTION
The utility allows you to read and check various parameters of the keyboard and virtual console.

getmode
    Get or check virtual console mode.

gkbmode
    Gets current keyboard mode.

    raw Raw (scancode) mode. These are the raw codes generated by the keyboard.

    mediumraw
        Medium raw (scancode) mode. This is extended medium raw mode, with keys above 127 encoded as 0, high 7 bits, low 7 bits, with the 0 bearing the 'up' flag if needed. 0 is reserved, so this shouldn't interfere with anything else. The two bytes after 0 will always have the up flag set not to interfere with older applications. This allows for 16384 different keycodes, which should be enough.

    xlate
        Translate keycodes using keymap. These are the codes generated via the current keysym mapping.

    unicode
        Unicode mode.

gkbmeta
    Gets meta key handling mode.

    escprefix
        Specifies if pressing the meta (alt) key generates an ESC (\033) prefix followed by the keysym.

    metabit
        The keysym marked with the high bit set.

gkbled
    Get keyboard flags CapsLock, NumLock, ScrollLock (not lights).

    scrolllock
        The scroll lock is down.

    numlock
        The num lock is down.

    capslock
        The caps lock is down.

OPTIONS

-C, --console=DEV
    the console device to be used;

-V, --version
    print version number;

-h, --help
    print this usage message.

AUTHORS
Written by Alexey Gladkov.

SEE ALSO
kbdrate(1), setleds(1), kbd_mode(1)